////
/// @group text
////

@mixin _font-weight($font-weight) {
  @if ($font-weight == 'regular') {
    font-family: $font_headline;
  }
  @if ($font-weight == 'bold') {
    font-family: $font_headline_bold;
  }
}

/// define headline font
/// @param {string} $fontWeight ['regular'] font weight
/// @param {string} $color [$color-headline] font color
@mixin _font-headline($fontWeight: 'regular', $color: $color-headline) {
  @include _text-rendering;

  @include _font-weight($fontWeight);
  font-weight: normal;
  font-style: normal;
  line-height: 1.2;
  letter-spacing: 1px;
  color: $color;
}

/// define paragraph font
/// @param {string} $fontWeight ['regular'] font weight
/// @param {string} $color [$color-paragraph] font color
@mixin _font-paragraph($fontWeight: 'regular', $color: $color-paragraph) {
  @include _text-rendering;

  font-family: $font-paragraph;
  font-weight: map_get($font-weight, $fontWeight);
  font-style: normal;
  line-height: 1.4;
  color: $color;

  strong {
    font-weight: map_get($font-weight, 'bold');
  }
}

/// define button font
/// @param {string} $fontWeight ['regular'] font weight
/// @param {string} $color [$color-paragraph] font color
@mixin _font-button($fontWeight: 'regular', $color: $color-paragraph) {
  @include _text-rendering;

  font-family: $font-paragraph;
  font-weight: map_get($font-weight, $fontWeight);
  font-style: normal;
  line-height: 1.3;
  color: $color;

  cursor: pointer;
  text-decoration: none;
  white-space: nowrap;
  user-select: none;
}

/// define label font
/// @param {string} $fontWeight ['regular'] font weight
/// @param {string} $color [$color-paragraph] font color
@mixin _font-label($fontWeight: 'regular', $color: $color-paragraph) {
  @include _text-rendering;

  @include _font-weight($fontWeight);
  font-weight: normal;
  font-style: normal;
  line-height: 1.4;
  color: $color;

  white-space: nowrap;
  text-decoration: none;
}

/// define table font
/// @param {string} $fontWeight ['regular'] font weight
/// @param {string} $color [$color-paragraph] font color
@mixin _font-table($fontWeight: 'regular', $color: $color-paragraph) {
  @include _text-rendering;

  font-family: $font-paragraph;
  font-weight: map_get($font-weight, $fontWeight);
  line-height: 1.2;
  color: $color;
}

/// define score font
/// @param {string} $color [$color-paragraph] font color
@mixin _font-score($color: $color_white) {
  @include _text-rendering;

  font-family: 'count', arial, sans-serif;
  line-height: 1.2;
  letter-spacing: 1px;
  color: $color;

  font-weight: normal;
  white-space: nowrap;
  text-decoration: none;
}

